using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CD67.FicheCollege.Entity
{
    /// <summary>
    /// Classe d'extension de celle d'Entity, nécessaire pour y associer les Metadata
    /// </summary>
    [MetadataType(typeof(ActionEduStatut_Metadata))]
    public partial class ActionEduStatut
    {
    }

    /// <summary>
    /// Classe contenant les DataAnnotations pour chaque champ
    /// </summary>
    public class ActionEduStatut_Metadata
    {
        [Required(ErrorMessage = "Obligatoire")]
        public int Id { get; set; }
        [Required(ErrorMessage = "Obligatoire")]
        [Display(Name = "Statut")]
        public string Nom { get; set; }
    }
}